## rock-master-20.06-ruby-bundles-rock-ugv-nav 0.20140521

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES ./History.txt DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(FILES ./manifest.xml DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(DIRECTORY ./config DESTINATION share/rock/bundles/rock_ugv_nav/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./config/bundle.yml DESTINATION share/rock/bundles/rock_ugv_nav/./config)
install(FILES ./config/init.rb DESTINATION share/rock/bundles/rock_ugv_nav/./config)
install(FILES ./config/app.yml DESTINATION share/rock/bundles/rock_ugv_nav/./config)
install(FILES ./CMakeLists.txt DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(DIRECTORY ./test DESTINATION share/rock/bundles/rock_ugv_nav/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/blueprints DESTINATION share/rock/bundles/rock_ugv_nav/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/blueprints/test_motion_threshold_monitor.rb DESTINATION share/rock/bundles/rock_ugv_nav/./test/blueprints)
install(FILES ./test/blueprints/test_constant_motion2d.rb DESTINATION share/rock/bundles/rock_ugv_nav/./test/blueprints)
install(DIRECTORY ./test/actions DESTINATION share/rock/bundles/rock_ugv_nav/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/actions/test_simple_motion2d.rb DESTINATION share/rock/bundles/rock_ugv_nav/./test/actions)
install(FILES ./Manifest.txt DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(FILES ./LICENSE DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(DIRECTORY ./models DESTINATION share/rock/bundles/rock_ugv_nav/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/blueprints DESTINATION share/rock/bundles/rock_ugv_nav/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/corridor_navigation.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(FILES ./models/blueprints/motions.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(FILES ./models/blueprints/constant_motion2d.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(DIRECTORY ./models/blueprints/path_navigation DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/path_navigation/services.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/path_navigation)
install(FILES ./models/blueprints/path_navigation/dynamic.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/path_navigation)
install(FILES ./models/blueprints/motion_threshold_monitor.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(FILES ./models/blueprints/odometry.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(FILES ./models/blueprints/path_navigation.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(DIRECTORY ./models/blueprints/map_gen DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/map_gen/eslam.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/map_gen)
install(FILES ./models/blueprints/map_gen/local_map.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/map_gen)
install(FILES ./models/blueprints/map_gen/traversability_map.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/map_gen)
install(DIRECTORY ./models/blueprints/corridor_navigation DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/corridor_navigation/following.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/corridor_navigation/servoing.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/corridor_navigation/corridor_plan_manager.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/corridor_navigation/tasks.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/corridor_navigation/single_corridor.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/corridor_navigation/explore.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints/corridor_navigation)
install(FILES ./models/blueprints/map_gen.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/blueprints)
install(DIRECTORY ./models/actions DESTINATION share/rock/bundles/rock_ugv_nav/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/actions/simple_motion2d.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/actions)
install(FILES ./models/README.txt DESTINATION share/rock/bundles/rock_ugv_nav/./models)
install(DIRECTORY ./models/tasks DESTINATION share/rock/bundles/rock_ugv_nav/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/tasks/move_to.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/tasks)
install(DIRECTORY ./models/profiles DESTINATION share/rock/bundles/rock_ugv_nav/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/profiles/skid4.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/profiles)
install(DIRECTORY ./models/orogen DESTINATION share/rock/bundles/rock_ugv_nav/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/orogen/odometry.rb DESTINATION share/rock/bundles/rock_ugv_nav/./models/orogen)
install(DIRECTORY ./logs DESTINATION share/rock/bundles/rock_ugv_nav/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./README.markdown DESTINATION share/rock/bundles/rock_ugv_nav/.)
install(DIRECTORY ./scripts DESTINATION share/rock/bundles/rock_ugv_nav/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./scripts/controllers DESTINATION share/rock/bundles/rock_ugv_nav/./scripts FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./scripts/controllers/README.txt DESTINATION share/rock/bundles/rock_ugv_nav/./scripts/controllers)
install(FILES ./Rakefile DESTINATION share/rock/bundles/rock_ugv_nav/.)

=== debian/changelog ===
rock-master-20.06-ruby-bundles-rock-ugv-nav (0.20140521-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-bundles/bundles-rock_ugv_nav.git
  * branch: refs/heads/master
  * commit: 3e6032e2c1e80ca918763613a48c293857ac2dba
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 13:09:10 +0200

=== debian/control ===
Source: rock-master-20.06-ruby-bundles-rock-ugv-nav
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-ruby-bundles-rock-ugv-nav
Architecture: any
Depends: ${shlibs:Depends}, ruby
Description: syskit models and scripts to use Rock's navigation algorithms / components
 syskit models and scripts to use Rock's navigation algorithms / components

=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/bash

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
DEB_BUILD_OPTIONS  = nocheck
# To disable stripping
#DEB_BUILD_OPTIONS += nostrip
export DEB_BUILD_OPTIONS

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['ruby_version']")
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master2006_install_dir = /opt/rock/master-20.06
env_setup =  PATH=$(master2006_install_dir)/bin:$$PATH
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2006_install_dir)/$(rockruby_libdir):$(master2006_install_dir)/$(rockruby_archdir):$(master2006_install_dir)/lib/ruby/vendor_ruby/standard:$(master2006_install_dir)/lib/ruby/vendor_ruby/core:$(master2006_install_dir)/lib/ruby/vendor_ruby:$$RUBYLIB
env_setup += PKG_CONFIG_PATH=$(master2006_install_dir)/lib/pkgconfig:$(master2006_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$$PKG_CONFIG_PATH
env_setup += Rock_DIR=$(master2006_install_dir)/share/rock/cmake:$$Rock_DIR
env_setup += LD_LIBRARY_PATH=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):$$LD_LIBRARY_PATH
env_setup += CMAKE_PREFIX_PATH=$(master2006_install_dir):$$CMAKE_PREFIX_PATH
env_setup += OROGEN_PLUGIN_PATH=$(master2006_install_dir)/share/orogen/plugins:$$OROGEN_PLUGIN_PATH
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):
rock_base_install_dir=/opt/rock
rock_release_install_dir=/opt/rock/master-20.06
rock_install_dir=/opt/rock/master-20.06/rock-master-20.06-ruby-bundles-rock-ugv-nav

# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk

extra_lib_dir=$(shell pwd)/debian/rock-master-20.06-ruby-bundles-rock-ugv-nav$(rock_install_dir)/lib
apaka_libdeps_dirs=`find $(rock_release_install_dir)/* -type d -name lib -exec echo -n ":{}" \;`
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (note that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs):${apaka_libdeps_dirs}

debian_install_prefix=$(DEB_DESTDIR)$(rock_install_dir)
rock_doc_install_dir=$(rock_install_dir)/share
SOURCE_ENVSH=for file in `find $(rock_release_install_dir)/*/env.sh ! -empty -type f -name env.sh`; do source "$$file"; done;

pre-build::
	echo "Running pre-build"
	echo "Ruby stats"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"
	# Source the available packages
	echo "Sourcing release packages' env.sh"

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(SOURCE_ENVSH) $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


###########################################
# DOCS


# END DOCS
###########################################

define export_variable
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1={}:\$${$1}\nexport $1\n" >> $(debian_install_prefix)/env.sh
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.sh
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1 {}\n" >> $(debian_install_prefix)/env.yml.append
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.yml.append
endef

#install/rock-master-20.06-ruby-bundles-rock-ugv-nav::
#	echo "Running post-install for package rock-master-20.06-ruby-bundles-rock-ugv-nav"

# see https://github.com/Debian/cdbs/blob/master/1/rules/debhelper.mk.in for
# target
common-binary-fixup-arch::
	echo "Apaka: doing all the custom adaptions, once all patches have been applied"
	echo "Installing env.yml (and env.yml.append) in $(rock_install_dir)"
	$(if $(wildcard $(DEB_SRCDIR)/env.yml),-cp "$(DEB_SRCDIR)/env.yml" "$(DEB_DESTDIR)$(rock_install_dir)")
	$(if $(wildcard $(DEB_SRCDIR)/env.yml.append),-cp "$(DEB_SRCDIR)/env.yml.append" "$(DEB_DESTDIR)$(rock_install_dir)")
	echo "Updating env.sh in $(rock_install_dir)"
	$(if $(wildcard $(DEB_SRCDIR)/env.sh),-cp "$(DEB_SRCDIR)/env.sh" "$(debian_install_prefix)")
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH=$(rock_install_dir)/bin:\$${PATH}\nexport PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH $(rock_install_dir)/bin\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH=$(rock_install_dir):\$${CMAKE_PREFIX_PATH}\nexport CMAKE_PREFIX_PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH $(rock_install_dir)\n" >> $(debian_install_prefix)/env.yml.append)
	$(call export_variable,CMAKE_PREFIX_PATH,\.cmake)
	$(call export_variable,PKG_CONFIG_PATH,\.pc)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
